Skip to main content
GET
/
environments
/
{environmentId}
/
allowlists
Get allowlists for the environment
curl --request GET \
  --url https://app.dynamicauth.com/api/v0/environments/{environmentId}/allowlists \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.dynamicauth.com/api/v0/environments/{environmentId}/allowlists"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.dynamicauth.com/api/v0/environments/{environmentId}/allowlists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "95b11417-f18f-457f-8804-68e361f9164f",
    "name": "<string>",
    "projectEnvironmentId": "95b11417-f18f-457f-8804-68e361f9164f",
    "enabledAt": "2023-11-07T05:31:56Z",
    "scope": "<string>"
  }
]
{
"error": "No jwt provided!"
}
{
"error": "Access Forbidden"
}
{
"error": "Method Not Allowed"
}
{
"error": "Internal Server Error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Response

Get allowlists

id
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

name
string
required

Human-readable name of the allowlist

projectEnvironmentId
string
required
Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

enabledAt
string<date-time> | null

ISO 8601 timestamp of when the allowlist was enabled, or null if disabled

scope
string | null

Space-delimited permission scopes granted to matched users

outcome
enum<string>
Available options:
scope,
siteAccess,
block
Last modified on July 11, 2026